package com.yeejoin.amos.spc.dao.entity;

import com.yeejoin.amos.op.core.entity.BusinessEntity;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;


@Entity
@Table(name = "contingency_original_data")
public class ContingencyOriginalData extends BusinessEntity {

    /**
     * id
     */
    @Id
    @GeneratedValue(generator = "uuid")
    @GenericGenerator(name = "uuid", strategy = "uuid2")
    @Column(name = "id", nullable = false, length = 36)
    protected String id;

    /**
	 * start 预案业务数据，交大模型点数据
	 */
    @Column(name = "equipment_Id")
    private  String  equipmentId;//重点设备id
    
    @Column(name = "equipment_Name")
    private String   equipmentName;
    @Column(name = "equipment_Num")
    private String equippositionnum;
    @Column(name = "area")
    private String area;//区域
    @Column(name = "dept")
    private String dept;//部门
    @Column(name = "section")
    private String section;//工段
    @Column(name = "equipment_Desc")
    private String equipmentDesc;//设备描述
    @Column(name = "x")
    private String x;
    @Column(name = "y")
    private String y;
    @Column(name = "z")
    private String z;
    /**
     * end
     */
    

    @Column(name = "layer")
    private Integer  layer;//显示图层

    @Column(name = "fire_Count")
    private Integer fireCount = 1; //火情数量

    @Column(name = "confirm")
    private String confirm ;//是否确认火情，确认 CONFIRM,取消CANCEL,未操作 NONE

    @Column(name = "batch_No")
    private String batchNo;



    @Column(name = "picture1")
    private String picture1;

    @Column(name = "picture2")
    private String picture2;

    @Column(name = "picture3")
    private String picture3;

    @Column(name = "picture4")
    private String picture4;

    @Column(name = "runstep")
    private boolean runstep; //是否已经执行流程

    @Column(name = "step")
    private String step;//当前步骤

    @Column(name = "step_state")
    private String stepState;//步骤的操作状态，由所有按钮的步骤状态拼接而成


    public String getStepState() {
        return stepState;
    }

    public void setStepState(String stepState) {
        this.stepState = stepState;
    }

    public String getStep() {
        return step;
    }

    public void setStep(String step) {
        this.step = step;
    }


    public boolean getRunstep() {
        return runstep;
    }

    public void setRunstep(boolean runstep) {
        this.runstep = runstep;
    }

    public String getPicture1() {
        return picture1;
    }

    public void setPicture1(String picture1) {
        this.picture1 = picture1;
    }

    public String getPicture2() {
        return picture2;
    }

    public void setPicture2(String picture2) {
        this.picture2 = picture2;
    }

    public String getPicture3() {
        return picture3;
    }

    public void setPicture3(String picture3) {
        this.picture3 = picture3;
    }

    public String getPicture4() {
        return picture4;
    }

    public void setPicture4(String picture4) {
        this.picture4 = picture4;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Integer getLayer() {
        return layer;
    }

    public void setLayer(Integer layer) {
        this.layer = layer;
    }

    public String getEquipmentId() {
        return equipmentId;
    }

    public void setEquipmentId(String equipmentId) {
        this.equipmentId = equipmentId;
    }

    public String getEquipmentName() {
        return equipmentName;
    }

    public void setEquipmentName(String equipmentName) {
        this.equipmentName = equipmentName;
    }

    public Integer getFireCount() {
        return fireCount;
    }

    public void setFireCount(Integer fireCount) {
        this.fireCount = fireCount;
    }

    public String getConfirm() {
        return confirm;
    }

    public void setConfirm(String confirm) {
        this.confirm = confirm;
    }

	public String getEquippositionnum()
	{
		return equippositionnum;
	}

	public void setEquippositionnum(String equippositionnum)
	{
		this.equippositionnum = equippositionnum;
	}

	public String getArea()
	{
		return area;
	}

	public void setArea(String area)
	{
		this.area = area;
	}

	public String getDept()
	{
		return dept;
	}

	public void setDept(String dept)
	{
		this.dept = dept;
	}

	public String getSection()
	{
		return section;
	}

	public void setSection(String section)
	{
		this.section = section;
	}

	public String getEquipmentDesc()
	{
		return equipmentDesc;
	}

	public void setEquipmentDesc(String equipmentDesc)
	{
		this.equipmentDesc = equipmentDesc;
	}

	public String getX()
	{
		return x;
	}

	public void setX(String x)
	{
		this.x = x;
	}

	public String getY()
	{
		return y;
	}

	public void setY(String y)
	{
		this.y = y;
	}

	public String getZ()
	{
		return z;
	}

	public void setZ(String z)
	{
		this.z = z;
	}
    
}
